MPD 0.20.6

- Main Page
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Public Member Functions | Data Fields
ConfigTemplate Struct Reference

`#include <ConfigTemplates.hxx>`

## Public Member Functions
constexpr | ConfigTemplate (const char *_name, bool _repeatable=false, bool _deprecated=false)

## Data Fields
const char *const | name
const bool | repeatable
const bool | deprecated

## Detailed Description

Definition at line 23 of file ConfigTemplates.hxx.

## Constructor & Destructor Documentation

constexpr ConfigTemplate::ConfigTemplate | ( | const char * | _name,
|  | bool | _repeatable = `false`,
|  | bool | _deprecated = `false`
| ) |  |
| inline

Definition at line 30 of file ConfigTemplates.hxx.

## Field Documentation

const bool ConfigTemplate::deprecated

Definition at line 28 of file ConfigTemplates.hxx.

const char* const ConfigTemplate::name

Definition at line 24 of file ConfigTemplates.hxx.

const bool ConfigTemplate::repeatable

Definition at line 25 of file ConfigTemplates.hxx.

The documentation for this struct was generated from the following file:

- config/ConfigTemplates.hxx